#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

SoftwareSerial mySoftwareSerial(10, 11); // RX, TX
DFRobotDFPlayerMini myDFPlayer;

void printDetail(uint8_t type, int value);

const int door_1 =1;
const int door_2=2;
const int door_3=3;

const int motor_1 = 4;
const int motor_2 = 5;

const int motor_3 = 6;
const int motor_4 = 7;

const int motor_5 = 8;
const int motor_6 = 9;



void setup() {
  // put your setup code here, to run once:
  mySoftwareSerial.begin(9600);
  Serial.begin(115200);

  Serial.println();
  Serial.println(F("DFRobot DFPlayer Mini Demo"));
  Serial.println(F("Initializing DFPlayer ... (May take 3~5 seconds)"));

  if (!myDFPlayer.begin(mySoftwareSerial)) {  //Use softwareSerial to communicate with mp3.
    Serial.println(F("Unable to begin:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while (true);
  }
  Serial.println(F("DFPlayer Mini online."));
    myDFPlayer.volume(30);  //Set volume value. From 0 to 30

    pinMode(door_1, INPUT);
    pinMode(door_2, INPUT);
        pinMode(door_3, INPUT);
  pinMode(motor_1, OUTPUT);
  pinMode(motor_2, OUTPUT);
  pinMode(motor_3, OUTPUT);
  pinMode(motor_4, OUTPUT);
  pinMode(motor_5, OUTPUT);
  pinMode(motor_6, OUTPUT);

}

void loop() {
  // put your main code here, to run repeatedly:
Serial.println(digitalRead(door_1));
Serial.println(digitalRead(door_2));
Serial.println(digitalRead(door_3));

if(digitalRead(door_1)==HIGH) {
    digitalWrite(4, HIGH);
  delay(200);
  digitalWrite(4, LOW);
  delay(50);
  digitalWrite(5, HIGH);
  delay(200);
  digitalWrite(5, LOW);
  delay(50);
  digitalWrite(6, HIGH);
  delay(200);
  digitalWrite(6, LOW);
  delay(500);
  myDFPlayer.play(1);  //Play the first mp3
  delay(2500);
}


if(digitalRead(door_2)==HIGH) {

  digitalWrite(6, HIGH);
  delay(200);
  digitalWrite(6, LOW);
  delay(50);
  digitalWrite(7, HIGH);
  delay(200);
  digitalWrite(7, LOW);
  delay(50);
  digitalWrite(8, HIGH);
  delay(200);
  digitalWrite(8, LOW);
  delay(500);
  myDFPlayer.play(3);  //Play the first mp3
  delay(4000);
}
if (digitalRead(door_3) ==HIGH) {
    digitalWrite(8, HIGH);
  delay(200);
  digitalWrite(8, LOW);
  delay(50);
  digitalWrite(9, HIGH);
  delay(500);
  digitalWrite(9, LOW);
  delay(500);
    digitalWrite(9, HIGH);
  delay(500);
  digitalWrite(9, LOW);
  delay(500);
    digitalWrite(9, HIGH);
  delay(500);
  digitalWrite(9, LOW);
  delay(500);

  myDFPlayer.play(3);  //Play the first mp3
  delay(5000);
}






}
